Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00886 Crash/Freeze Critical (emulator) Have not tried Feb 6, 2008, 09:52 Nov 10, 2016, 17:27
Tester Scagazza View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver vegas.cpp
Version 0.120u2 Fixed in Version Build
Summary 00886: gauntleg: If you choose the mountain journey, MAME crashes in the second stage.
Description If you choose mountain journey MAME crashes in second stage (valley) with:

-----------------------------------------------------
Exception at EIP=0000000140B4FDA7: ACCESS VIOLATION
While attempting to write memory at 0000017B
-----------------------------------------------------
RAX=FFFFFFFF075D92B6 RBX=00000000021AA5C0 RCX=0000000140B4F943 RDX=0000000140000000
RSI=000000000012FA30 RDI=00000000060D0DF0 RBP=000000010000017F RSP=000000000012F940
 R8=00000000021AA5C0 R9=0000000000000001 R10=000000000012FA30 R11=0000000000000000
R12=00000000000000C8 R13=0000000000000001 R14=00000000021AA5C0 R15=0000000000000000
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems gauntleg
Attached Files
 
Relationships
related to 01991Resolvedtedgreen gauntleg: Game randomly freezes 
Notes
3
User avatar
No.07932
SgtSarros
Tester
Dec 3, 2011, 04:30
I was kind of surprised to find this bug report on here, seeing as how I had just played through the mountain realm twice with no crashes at all, and have been playing this for a few releases now with no problems.

I see there was updates made by Tormod after this bug was reported, could this be one of those 'bug fixed but never noticed' reports?
User avatar
No.07934
Haze
Senior Tester
Dec 3, 2011, 12:42
I believe it was either 32-bit of 64-bit specific.. like the texture errors
User avatar
No.13347
Fujix
Administrator
Nov 10, 2016, 17:27
No crash in 0.179 64-bit. Marked fixed.